Search Unity

Bug Error With NetCode's GhostUpdateSystem !

Discussion in 'NetCode for ECS' started by OrientedPain, Jan 25, 2024.

  1. OrientedPain

    OrientedPain

    Joined:
    Mar 26, 2018
    Posts:
    50
    Hello Everyone,

    The exception below appears when connect more than one client to the server. NetCode's version is 1.0.17 and Unity Editor 2022.3.15f1.

    The exception is thrown when the expected number of enable bits read is not matching the actual number received - in my case, it expected to read exactly 3 enable bits but only read 0.

    System.InvalidOperationException: Read only 0 enable bits but expected to read exacly 3 for this ghost type This Exception was thrown from a job compiled with Burst, which has limited exception support. 0x00007ffe77de5d46 (f8866b1157968c93077cfcc66bfbc3b) Unity.NetCode.GhostUpdateSystem.UpdateJob.Execute (at Library/PackageCache/com.unity.burst@1.8.11/.Runtime/Library/PackageCache/com.unity.netcode@1.0.17/Runtime/Snapshot/GhostUpdateSystem.cs:656) 0x00007ffe77ddd850 (f8866b1157968c93077cfcc66bfbc3b) Unity.Entities.JobChunkExtensions.JobChunkProducer`1<Unity.NetCode.GhostUpdateSystem.UpdateJob>.ExecuteInternal (at Library/PackageCache/com.unity.burst@1.8.11/.Runtime/Library/PackageCache/com.unity.entities@1.0.16/Unity.Entities/IJobChunk.cs:404) 0x00007ffe77dd8266 (f8866b1157968c93077cfcc66bfbc3b) bf95954b7b8fb4696928b56256faf5e3 0x00007ff744892912 (Unity) ExecuteJob 0x00007ff744892c84 (Unity) ExecuteJobCopyData 0x00007ff7448939bf (Unity) ForwardJobForEachToManaged 0x00007ff74488fe1d (Unity) ujob_execute_job 0x00007ff74488f1ad (Unity) lane_guts 0x00007ff744891b94 (Unity) worker_thread_routine 0x00007ff744abbbb6 (Unity) Thread::RunThreadWrapper 0x00007fff5f47257d (KERNEL32) BaseThreadInitThunk 0x00007fff5fa6aa58 (ntdll) RtlUserThreadStart

    Thanks In Advance.
     
  2. CMarastoni

    CMarastoni

    Unity Technologies

    Joined:
    Mar 18, 2020
    Posts:
    894
    There were a couple of issues with Netcode 1.0 for enable bits. This looks like one of these. We had other similar thread in the forum in that regards.

    I strongly suggest to use the latest 1.1 release if you can.